import { validate_tetrahedral_mesh } from "../../validate_tetrahedral_mesh.js";

/**
 *
 * @param {TetrahedralMesh} mesh
 * @param {ArrayLike<number>|Float32Array} points
 */
export function debug_validate_mesh(mesh, points) {
    const problems = [];

    function add(x) {
        problems.push(x);
    }

    if (!validate_tetrahedral_mesh(mesh, points, add)) {
        debugger;
        console.error(problems.join('\n'));
    }
}
